{
  "name": "likei-h5",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "engines": {
    "node": "^20.19.0 || >=22.12.0"
  },
  "scripts": {
    "dev": "vite --mode development --host",
    "dev:test": "vite --mode test --host",
    "dev:prod": "vite --mode production --host",
    "build": "vite build --mode production && node scripts/generate-version.js",
    "build:dev": "vite build --mode development && node scripts/generate-version.js",
    "build:test": "vite build --mode test && node scripts/generate-version.js",
    "build:prod": "vite build --mode production && node scripts/generate-version.js",
    "preview": "vite preview",
    "lint": "eslint . --fix"
  },
  "dependencies": {
    "@vueuse/core": "^13.9.0",
    "airwallex-payment-elements": "^1.131.0",
    "pinia": "^3.0.3",
    "pinia-plugin-persistedstate": "^4.7.1",
    "vant": "^4.9.21",
    "vue": "^3.5.18",
    "vue-i18n": "^11.1.12",
    "vue-router": "^4.5.1"
  },
  "devDependencies": {
    "@eslint/js": "^9.31.0",
    "@vitejs/plugin-vue": "^6.0.1",
    "eslint": "^9.31.0",
    "eslint-plugin-vue": "~10.3.0",
    "globals": "^16.3.0",
    "sass-embedded": "^1.92.1",
    "unplugin-vue-components": "^29.0.0",
    "vite": "^7.0.6",
    "vite-plugin-vue-devtools": "^8.0.0"
  }
}
